package com.xhpc.common.data.up;

//充电桩与 BMS 充电阶段充电机中止报文
public class BmsChargerInterruptData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String chargerStopReason; //充电机 中止充电原因
    private String chargerStopFaultReason; //充电机 中止充电故障原因
    private String chargerStopErrorReason; //充电机 中止充电错误原因

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getChargerStopReason() {

        return chargerStopReason;
    }

    public void setChargerStopReason(String chargerStopReason) {

        this.chargerStopReason = chargerStopReason;
    }

    public String getChargerStopFaultReason() {

        return chargerStopFaultReason;
    }

    public void setChargerStopFaultReason(String chargerStopFaultReason) {

        this.chargerStopFaultReason = chargerStopFaultReason;
    }

    public String getChargerStopErrorReason() {

        return chargerStopErrorReason;
    }

    public void setChargerStopErrorReason(String chargerStopErrorReason) {

        this.chargerStopErrorReason = chargerStopErrorReason;
    }

}
